simulate_keypress(3)

NAME
simulate_keypress - Stuffs a key into the keyboard buffer. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

void simulate_keypress(int key);

DESCRIPTION
Stuffs a key into the keyboard buffer, just as if the user had pressed it. The parameter is in the same format returned by readkey(). Example:
   simulate_keypress(KEY_SPACE << 8);
   if (readkey() == (KEY_SPACE << 8))
      allegro_message("You simulated Alt+Space\n");

SEE ALSO
install_keyboard(3), simulate_ukeypress(3), keypressed(3), readkey(3)